// Do not remove the include below
#include "EspThermometer2.h"
#include "defines.h"

// #define ESP8266


#include <EEPROM.h>

#include "configuration.h"
#include "productionMode.h"
#include "configurationMode.h"

ADC_MODE(ADC_VCC);




//const char* ssid = "EG-WLAN";
//const char* password = "shae3sheuthai2oluNgiqueiyahyumeiphughi8jequeil6taethooyeik1joh5";
//const char* ssid = "OG-WLAN";
//const char* password = "ruc8Chimush2jaetaipeug7shuagh2eruimiemu9Sheik4ur8ooZ5eengeem9ea";
//const char* ssid = "iPhone";
//const char* password = "wollud123456";
//const char* ssid = "WLan-KI-Pro";
//const char* password = "sVAPHCmo";

//const char* mqttServer = "broker.hottis.de";
//const uint16 mqttPort = 8883;
//const char* mqttUsername = "esp2";
//const char* mqttPassword = "test1234";
//const char* clientId = "espTherm2";
//const char* topic = "IoT/espThermometer2/espTherm2/measurement";
//const char* mqttServer = "172.16.2.15";
//const char* mqttServer = "10.11.184.91";

//const uint16_t sleepTime = 300;





#define CONFIG_SWITCH 4
bool configMode = false;



const uint16_t EEPROM_ADDR = 0;


uint32_t startTime = 0;


void setup() {
  startTime = millis();
#ifdef DEBUG
  Serial.begin(115200);
  Serial.println("Starting ...");
#endif

  pinMode(CONFIG_SWITCH, INPUT_PULLUP);

  EEPROM.get(EEPROM_ADDR, configBlock);

  configMode = ((LOW == digitalRead(CONFIG_SWITCH)) || (configBlock.magic != MAGIC));

  if (configMode) {
#ifdef DEBUG
  Serial.println("Configuration mode");
#endif

    setupConfiguration();
  } else {
#ifdef DEBUG
  Serial.println("Production mode");
#endif

    setupProduction();
  }

#ifdef DEBUG
  Serial.println("Started.");
#endif
}

void loop() {
  if (configMode) {
    loopConfiguration();
  } else {
    loopProduction();
  }
}


